-------------------------------------------------------------------
--           RAPID - RAPID ADA PORTABLE INTERFACE DESIGNER         
--           MCC GUI PACKAGE LIBRARY                               
--           Copyright (C) 1999 Martin C. Carlisle.                
--                                                                 
-- RAPID is free software;  you can  redistribute it  and/or modify
-- it under terms of the  GNU General Public License as published  
-- by the Free Software  Foundation;  either version 2,  or (at your
-- option) any later version.  RAPID is distributed in the hope that 
-- it will be useful, but WITHOUT ANY WARRANTY;  without even the 
-- implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-- PURPOSE.  See the GNU General Public License for more details.  
-- You should have  received  a copy of the GNU General Public License
-- distributed with RAPID; see file COPYING.  If not, write to the 
-- Free Software Foundation,  59 Temple Place - Suite 330,  Boston, 
-- MA 02111-1307, USA.                                                 
--                                                                     
-- As a special exception, if other files instantiate generics from
-- this unit, or you link this unit with other files to produce an 
-- executable, this unit does not by itself cause the resulting 
-- executable to be covered by the GNU General Public License.  
-- This exception does not however invalidate any other reasons 
-- why the executable file might be covered by the GNU Public 
-- License.  This exception does not apply to executables which
-- are GUI design tools, or that could act as a replacement
-- for RAPID.
------------------------------------------------------------------------------
with MSSyst.Windows.Forms;
use  MSSyst.Windows.Forms;
with MSSyst.Windows.Forms.GroupBox;
with  MSSyst.Windows.Forms.Control.ControlCollection;
with MSSyst.Drawing;
use MSSyst.Drawing;
with MSSyst.Drawing.Point;
with MSSyst.Object;
package body Mcc.Gui.Container.Frame is

   ------------
   -- Create --
   ------------

   procedure Create
     (Obj          : in out Frame;
      Parent       : in     Container'Class;
      X            : in     Integer;
      Y            : in     Integer;
      Width        : in     Natural;
      Height       : in     Natural;
      Border_Width : in     Natural := 1)
   is
      -- here we are blowing off the border_width
      -- because we don't know how to do it.  This
      -- is going to be a problem later.       
      The_Peer : GroupBox.Ref;
      Collection : Control.ControlCollection.Ref;
      P : Point.Valuetype;
      Parent_Peer : Control.Ref := Control.Ref(Get_Peer(Parent));
   begin
      -- ok, so it might seem odd to do this, but since we reuse 
      -- variables, it is important to renull these on create   
      Obj.Mouse_Handler := null;   
      Obj.Key_Handler := null;   
      The_Peer := GroupBox.New_GroupBox;
      The_Peer.Set_Height(Height);
      The_Peer.Set_Width(Width);
      P.Set_X(X);
      P.Set_Y(Y);
      Collection := Control.ControlCollection.Ref(Parent_Peer.Get_Controls);
      Collection.add(Control.Ref(The_Peer));
      The_Peer.Set_Location(P);
      Obj.My_Peer := MSSyst.Object.Ref(The_Peer);
   end Create;

end Mcc.Gui.Container.Frame;

